Routing mix
curl --request GET \
--url https://api.electronhub.ai/v1/router/stats/mix \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.electronhub.ai/v1/router/stats/mix"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.electronhub.ai/v1/router/stats/mix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.electronhub.ai/v1/router/stats/mix",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.electronhub.ai/v1/router/stats/mix"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.electronhub.ai/v1/router/stats/mix")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.electronhub.ai/v1/router/stats/mix")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"difficulty_axis": [
"trivial",
"easy",
"medium",
"hard",
"extreme"
],
"series": [
{
"model": "Other",
"effort": null,
"shares": [
100,
100,
0,
0,
0
]
}
],
"average": [
{
"model": "Other",
"effort": null,
"pct": 100
}
],
"task_shares": {
"code_changes": 25,
"unknown": 50,
"factuality": 25
},
"simulation": {
"label": "simulation",
"tier": "medium",
"by_difficulty": [
{
"difficulty": "trivial",
"picks": [
{
"model": "deepseek-v4-flash",
"effort": null,
"share": 62.5
},
{
"model": "muse-spark-1.3-contributor",
"effort": null,
"share": 29.2
},
{
"model": "glm-5.3-flash",
"effort": "low",
"share": 8.3
}
]
},
{
"difficulty": "easy",
"picks": [
{
"model": "deepseek-v4-flash",
"effort": null,
"share": 62.5
},
{
"model": "muse-spark-1.3-contributor",
"effort": null,
"share": 29.2
},
{
"model": "glm-5.3-flash",
"effort": "low",
"share": 8.3
}
]
},
{
"difficulty": "medium",
"picks": [
{
"model": "gemma-4-31b-it",
"effort": null,
"share": 25
},
{
"model": "deepseek-v4.1-flash",
"effort": null,
"share": 12.5
},
{
"model": "qwen3.6-plus",
"effort": null,
"share": 12.5
},
{
"model": "deepseek-v4-flash",
"effort": null,
"share": 12.5
},
{
"model": "qwen3.7-max",
"effort": null,
"share": 12.5
},
{
"model": "kimi-k2.6",
"effort": null,
"share": 12.5
},
{
"model": "qwen3.6-35b-a3b",
"effort": null,
"share": 12.5
}
]
},
{
"difficulty": "hard",
"picks": [
{
"model": "qwen3.7-plus",
"effort": null,
"share": 37.5
},
{
"model": "qwen3.7-max",
"effort": null,
"share": 25
},
{
"model": "claude-opus-5-5",
"effort": null,
"share": 25
},
{
"model": "qwen3.6-27b",
"effort": null,
"share": 8.3
},
{
"model": "qwen3.5-27b-anko",
"effort": null,
"share": 4.2
}
]
},
{
"difficulty": "extreme",
"picks": [
{
"model": "qwen3.7-max",
"effort": null,
"share": 50
},
{
"model": "gpt-6-astra",
"effort": null,
"share": 37.5
},
{
"model": "qwen3.6-plus",
"effort": null,
"share": 12.5
}
]
}
]
}
}{
"error": {
"message": "Body must be an object.",
"type": "invalid_request_error",
"param": null,
"code": 400
}
}Router
Routing Mix
Which models Auto picks by difficulty, with task shares and a simulation for new work. scope=global needs no API key.
GET
/
router
/
stats
/
mix
Routing mix
curl --request GET \
--url https://api.electronhub.ai/v1/router/stats/mix \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.electronhub.ai/v1/router/stats/mix"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.electronhub.ai/v1/router/stats/mix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.electronhub.ai/v1/router/stats/mix",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.electronhub.ai/v1/router/stats/mix"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.electronhub.ai/v1/router/stats/mix")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.electronhub.ai/v1/router/stats/mix")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"difficulty_axis": [
"trivial",
"easy",
"medium",
"hard",
"extreme"
],
"series": [
{
"model": "Other",
"effort": null,
"shares": [
100,
100,
0,
0,
0
]
}
],
"average": [
{
"model": "Other",
"effort": null,
"pct": 100
}
],
"task_shares": {
"code_changes": 25,
"unknown": 50,
"factuality": 25
},
"simulation": {
"label": "simulation",
"tier": "medium",
"by_difficulty": [
{
"difficulty": "trivial",
"picks": [
{
"model": "deepseek-v4-flash",
"effort": null,
"share": 62.5
},
{
"model": "muse-spark-1.3-contributor",
"effort": null,
"share": 29.2
},
{
"model": "glm-5.3-flash",
"effort": "low",
"share": 8.3
}
]
},
{
"difficulty": "easy",
"picks": [
{
"model": "deepseek-v4-flash",
"effort": null,
"share": 62.5
},
{
"model": "muse-spark-1.3-contributor",
"effort": null,
"share": 29.2
},
{
"model": "glm-5.3-flash",
"effort": "low",
"share": 8.3
}
]
},
{
"difficulty": "medium",
"picks": [
{
"model": "gemma-4-31b-it",
"effort": null,
"share": 25
},
{
"model": "deepseek-v4.1-flash",
"effort": null,
"share": 12.5
},
{
"model": "qwen3.6-plus",
"effort": null,
"share": 12.5
},
{
"model": "deepseek-v4-flash",
"effort": null,
"share": 12.5
},
{
"model": "qwen3.7-max",
"effort": null,
"share": 12.5
},
{
"model": "kimi-k2.6",
"effort": null,
"share": 12.5
},
{
"model": "qwen3.6-35b-a3b",
"effort": null,
"share": 12.5
}
]
},
{
"difficulty": "hard",
"picks": [
{
"model": "qwen3.7-plus",
"effort": null,
"share": 37.5
},
{
"model": "qwen3.7-max",
"effort": null,
"share": 25
},
{
"model": "claude-opus-5-5",
"effort": null,
"share": 25
},
{
"model": "qwen3.6-27b",
"effort": null,
"share": 8.3
},
{
"model": "qwen3.5-27b-anko",
"effort": null,
"share": 4.2
}
]
},
{
"difficulty": "extreme",
"picks": [
{
"model": "qwen3.7-max",
"effort": null,
"share": 50
},
{
"model": "gpt-6-astra",
"effort": null,
"share": 37.5
},
{
"model": "qwen3.6-plus",
"effort": null,
"share": 12.5
}
]
}
]
}
}{
"error": {
"message": "Body must be an object.",
"type": "invalid_request_error",
"param": null,
"code": 400
}
}Authorizations
Enter your API key (starts with 'ek-')
Query Parameters
Available options:
global, me all, code_changes, coding_questions, general, a task, or a category.
Available options:
24h, 7d, 30d Available options:
agentic, non_agentic, all Available options:
all, low, medium, high, xhigh, max Response
Success
The response is of type object.
